Package org.iirds.rdf.facade

# Class InformationUnits

java.lang.Object
org.iirds.rdf.facade.InformationUnits

public class InformationUnits extends Object
Facade to iiRDS InformationUnit

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addDocumentCategory(org.apache.jena.rdf.model.Resource document, org.apache.jena.rdf.model.Resource doccategory)`
  `static void`
  `addDocumentType(org.apache.jena.rdf.model.Resource document, org.apache.jena.rdf.model.Resource doctype)`
  `static void`
  `addEvent(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource event)`
  `static void`
  `addIdentity(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource identity)`
  `static void`
  `addInformationSubject(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource subject)`
  `static void`
  `addLanguage(org.apache.jena.rdf.model.Resource unit, String language)`
  `static void`
  `addPlanningTime(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource time)`
  `static void`
  `addProductLifeCyclePhase(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource phase)`
  `static void`
  `addRelatedComponent(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource component)`
  `static void`
  `addRelatedProductFeature(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource feature)`
  `static void`
  `addRelatedProductVariant(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource product)`
  `static void`
  `addRelatedQualification(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource qualification)`
  `static void`
  `addRelatedSupply(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource product)`
  `static void`
  `addRendition(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource rendition)`
  `static void`
  `addRights(org.apache.jena.rdf.model.Resource unit, String rights)`
  `static String`
  `getAbstract(org.apache.jena.rdf.model.Resource unit)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getContentLifecycleStatus(org.apache.jena.rdf.model.Resource unit)`
  `static String`
  `getDateOfCreation(org.apache.jena.rdf.model.Resource unit)`
  `static String`
  `getDateOfLastModification(org.apache.jena.rdf.model.Resource unit)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getDocuments(org.apache.jena.rdf.model.Model model)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getDocumentTypes(org.apache.jena.rdf.model.Resource doc)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getPackages(org.apache.jena.rdf.model.Model model)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getRelatedComponents(org.apache.jena.rdf.model.Resource unit)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getRelatedProductVariants(org.apache.jena.rdf.model.Resource unit)`
  `static List<org.apache.jena.rdf.model.RDFNode>`
  `getRelatedQualifications(org.apache.jena.rdf.model.Resource unit)`
  `static List<String>`
  `getRights(org.apache.jena.rdf.model.Resource unit)`
  `static String`
  `getTitle(org.apache.jena.rdf.model.Resource unit)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getTopics(org.apache.jena.rdf.model.Model model)`
  `static boolean`
  `isDocument(org.apache.jena.rdf.model.Resource unit)`
  `static void`
  `setAbstract(org.apache.jena.rdf.model.Resource unit, String value)`
  `static void`
  `setContentLifecycleStatus(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource status)`
  `static void`
  `setDateOfCreation(org.apache.jena.rdf.model.Resource unit, String date)`
  `static void`
  `setDateOfLastModification(org.apache.jena.rdf.model.Resource unit, String date)`
  `static void`
  `setPartOfPackage(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource pack)`
  `static void`
  `setTitle(org.apache.jena.rdf.model.Resource unit, String title)`
  `static void`
  `setTopicType(org.apache.jena.rdf.model.Resource topic, org.apache.jena.rdf.model.Resource topictype)`
  `static void`
  `setVersionOf(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource infoObject)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getRelatedProductVariants

    public static List<org.apache.jena.rdf.model.RDFNode> getRelatedProductVariants(org.apache.jena.rdf.model.Resource unit)

  - ### getRelatedComponents

    public static List<org.apache.jena.rdf.model.RDFNode> getRelatedComponents(org.apache.jena.rdf.model.Resource unit)

  - ### getRelatedQualifications

    public static List<org.apache.jena.rdf.model.RDFNode> getRelatedQualifications(org.apache.jena.rdf.model.Resource unit)

  - ### setVersionOf

    public static void setVersionOf(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource infoObject)

  - ### addRelatedProductVariant

    public static void addRelatedProductVariant(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource product)

  - ### addRelatedComponent

    public static void addRelatedComponent(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource component)

  - ### addRelatedSupply

    public static void addRelatedSupply(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource product)

  - ### isDocument

    public static boolean isDocument(org.apache.jena.rdf.model.Resource unit)

  - ### addDocumentType

    public static void addDocumentType(org.apache.jena.rdf.model.Resource document, org.apache.jena.rdf.model.Resource doctype)

  - ### addDocumentCategory

    public static void addDocumentCategory(org.apache.jena.rdf.model.Resource document, org.apache.jena.rdf.model.Resource doccategory)

  - ### getDocumentTypes

    public static List<org.apache.jena.rdf.model.RDFNode> getDocumentTypes(org.apache.jena.rdf.model.Resource doc)

  - ### addRights

    public static void addRights(org.apache.jena.rdf.model.Resource unit, String rights)

  - ### setTitle

    public static void setTitle(org.apache.jena.rdf.model.Resource unit, String title)

  - ### addInformationSubject

    public static void addInformationSubject(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource subject)

  - ### addRelatedProductFeature

    public static void addRelatedProductFeature(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource feature)

  - ### addEvent

    public static void addEvent(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource event)

  - ### setTopicType

    public static void setTopicType(org.apache.jena.rdf.model.Resource topic, org.apache.jena.rdf.model.Resource topictype)

  - ### addRelatedQualification

    public static void addRelatedQualification(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource qualification)

  - ### addProductLifeCyclePhase

    public static void addProductLifeCyclePhase(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource phase)

  - ### addRendition

    public static void addRendition(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource rendition)

  - ### addIdentity

    public static void addIdentity(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource identity)

  - ### addLanguage

    public static void addLanguage(org.apache.jena.rdf.model.Resource unit, String language)

  - ### getContentLifecycleStatus

    public static List<org.apache.jena.rdf.model.RDFNode> getContentLifecycleStatus(org.apache.jena.rdf.model.Resource unit)

  - ### setContentLifecycleStatus

    public static void setContentLifecycleStatus(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource status)

  - ### setPartOfPackage

    public static void setPartOfPackage(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource pack)

  - ### setAbstract

    public static void setAbstract(org.apache.jena.rdf.model.Resource unit, String value)

  - ### getAbstract

    public static String getAbstract(org.apache.jena.rdf.model.Resource unit)

  - ### getTitle

    public static String getTitle(org.apache.jena.rdf.model.Resource unit)

  - ### getRights

    public static List<String> getRights(org.apache.jena.rdf.model.Resource unit)

  - ### addPlanningTime

    public static void addPlanningTime(org.apache.jena.rdf.model.Resource unit, org.apache.jena.rdf.model.Resource time)

  - ### getDateOfCreation

    public static String getDateOfCreation(org.apache.jena.rdf.model.Resource unit)

  - ### getDateOfLastModification

    public static String getDateOfLastModification(org.apache.jena.rdf.model.Resource unit)

  - ### setDateOfCreation

    public static void setDateOfCreation(org.apache.jena.rdf.model.Resource unit, String date)

  - ### setDateOfLastModification

    public static void setDateOfLastModification(org.apache.jena.rdf.model.Resource unit, String date)

  - ### getDocuments

    public static List<org.apache.jena.rdf.model.Resource> getDocuments(org.apache.jena.rdf.model.Model model)

  - ### getTopics

    public static List<org.apache.jena.rdf.model.Resource> getTopics(org.apache.jena.rdf.model.Model model)

  - ### getPackages

    public static List<org.apache.jena.rdf.model.Resource> getPackages(org.apache.jena.rdf.model.Model model)